function homer_compile(dirout, appname)

switch nargin
    case 0
        dirout = 'c:\homer_standalone\src';
        appname = 'homer';
    case 1
        appname = 'homer';
    otherwise
end

% Script to compile Homer GUI

inputstring = ['-o' ' ''' appname ''' ' '-W ''main'' -d ''' dirout ''' ' '-T ''link:exe'' -v -N ''Homer_ver0.m'''];

mcc(inputstring);

mcc -o 'homer' -W 'main' -d 'C:\homer_standalone\src' -T 'link:exe' -v -N 'C:\libisis_NEW\applications\matlab\homer_gui\Homer_ver0.m'